GCXONEDocumentation

Service Request Tab

On this page
  1. POST /serviceRequests/filter
  2. Request body
  3. Responses
  4. PUT /serviceRequests/updateStatus/{serviceRequestId}
  5. Parameters
  6. Request body
  7. Responses

Operations on service request tab resources. 2 endpoints, each relative to https://api.nxgen.cloud/api/v1 and authenticated as described under Authentication.

POST /serviceRequests/filter

Get service requests list with filtering, sorting and pagination. It allows hierarchical level searching. It can be filtered using specified hierarchy or it uses the logged in user hierarchy. This gives the option to get additional entity fields in the response. Also provides configuration meta data about entity.

Request body

Service Requests filtering and sorting

json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}

Responses

Status

Description

Body

200

Success

object

204

No Content

400

Invalid input

401

Unauthorized

403

Forbidden

Example 200 response:

json
{
  "config": {
    "columns": [
      {
        "visibility": true,
        "columnName": "commercialName",
        "DisplayName": "Site",
        "isFilterable": true,
        "filterType": "stringCondition",
        "sticky": true,
        "isRightBorder": true,
        "isMandatory": true,
        "isNotDraggable": true
      }
    ],
    "defaultNPerPage": 50,
    "defaultFilterCondition": [],
    "defaultSortingOrder": [
      {
        "columnName": "dateTime",
        "isAscending": false
      }
    ],
    "maxVisibleColumnCount": 6,
    "exportLimitNPerPage": 500
  },
  "dataResult": [
    {
      "category": "tower",
      "subCategory": "new_tower",
      "uniqueId": "c772ac8dd22f4a9a8849c332afe3f188",
      "userId": "d76dfac772ac8dcb7db87a6c772ac8d",
      "createdOn": 1655213317621
    },
    {
      "category": "tower",
      "subCategory": "new_tower",
      "uniqueId": "c772ac8dd22f4a9a8849c332afe3f188",
      "userId": "d76dfac772ac8dcb7db87a6c772ac8d",
      "createdOn": 1655213317621
    }
  ],
  "totalRecordsCount": 3552,
  "filteredBy": [],
  "sortedBy": [
    {
      "columnName": "dateTime",
      "isAscending": false
    }
  ],
  "dispatchedAll": false,
  "isDefaultProjectionMutated": false,
  "isDefaultFilterMutated": false,
  "isDefaultSortingMutated": false
}

PUT /serviceRequests/updateStatus/{serviceRequestId}

Update a service requests

Parameters

Name

In

Type

Required

Description

serviceRequestId

path

string

yes

Request body

json
{
  "status": "string"
}

Responses

Status

Description

Body

200

Success

400

Invalid input

401

Unauthorized

403

Forbidden

404

Not Found

Example 200 response:

json
{
  "result": "serviceRequestId"
}
Was this page helpful?

Thank you — your feedback goes to the team that owns this page.